Name:          xxhash
Version:       0.8.3
Release:       1mamba
Summary:       An Extremely fast Hash algorithm
Group:         Applications/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Cyan4973/xxHash
Source:        https://github.com/Cyan4973/xxHash.git/v%{version}/xxHash-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
xxHash is an Extremely fast Hash algorithm, running at RAM speed limits.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n xxHash-%{version}

%build
%make prefix=%{_prefix} LIBDIR=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall prefix=%{_prefix} LIBDIR=%{_libdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/xxh128sum
%{_bindir}/xxh3sum
%{_bindir}/xxh32sum
%{_bindir}/xxh64sum
%{_bindir}/xxhsum
%{_mandir}/man1/xxh128sum.1*
%{_mandir}/man1/xxh3sum.1*
%{_mandir}/man1/xxh32sum.1*
%{_mandir}/man1/xxh64sum.1*
%{_mandir}/man1/xxhsum.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libxxhash.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/xxh3.h
%{_includedir}/xxhash.h
%{_libdir}/libxxhash.a
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc
%doc README.md


%changelog
* Tue Dec 31 2024 Automatic Build System <autodist@openmamba.org> 0.8.3-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Automatic Build System <autodist@mambasoft.it> 0.8.1-1mamba
- automatic version update by autodist

* Sun Sep 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.0-1mamba
- package created using the webbuild interface
